#include "libquat.h"
#include <stdio.h>
#include <dlfcn.h>

void main(int argc, char ** argv) {

    double * p = new double[4];

    p[0] = 1;
    p[1] = 0;
    p[2] = 0;
    p[3] = 0; 

    eq_table * tab;
    
    if(argc > 2)
	tab = new eq_table(argv[1], argv[2], 4000, 20);
    else {
	fprintf(stderr, "must give function\n");
	exit(-1);
    }

    LIBQUAT_ITER f = tab->compile();

    int iters = (*f)(tab, p[0], p[1], p[2], p[3], &p);
    printf("point is %.2f %.2f\n", p[0], p[1]);
    printf("%d iterations\n", iters);
}
