#ifndef LIBQUAT_H
#define LIBQUAT_H

/* this is a hack.  need to accurately determine language */
#ifdef C
typedef int (*LIBQUAT_ITER)(struct eq_table *, double, double, double, double, double**);

struct eq_table * eq_table_new(char *, char *);
int eq_table_iter(struct eq_table *, double, double, double, double, double **);
LIBQUAT_ITER libquat_compile(struct eq_table *);

#else

typedef int (*LIBQUAT_ITER)(class eq_table *, double, double, double, double, double**);

extern "C" {
    extern struct eq_table * eq_table_new(char *, char *);
    int eq_table_iter(struct eq_table *, double, double, double, double, double **);
}
#include "quatdefs.h"
#include "quat.h"
#include "eq_table.h"
#include "expr_parser.h"
#include "expr_tree.h"
#endif



#endif
