
if(TABLE == init_table && i == init_index_of_last_column) {
    fprintf(FP, "#define C_S iter_value_%d_0\n", q_index);
    fprintf(FP, "#define C_A iter_value_%d_1\n", q_index);
    if(!complex_eq) {
	fprintf(FP, "#define C_B iter_value_%d_2\n", q_index);
	fprintf(FP, "#define C_C iter_value_%d_3\n", q_index);
    }
} else {
    fprintf(FP, "#define C_S %s_value_%d_0\n", TYPE, i);
    fprintf(FP, "#define C_A %s_value_%d_1\n", TYPE, i);
    if(!complex_eq) {
	fprintf(FP, "#define C_B %s_value_%d_2\n", TYPE, i);
	fprintf(FP, "#define C_C %s_value_%d_3\n", TYPE, i);
    }
}

if(TABLE[i]->dep1 != -1) {
    if(TABLE[TABLE[i]->dep1]->expr->constant) {
	fprintf(FP, "#define L_S %.30f\n", TABLE[TABLE[i]->dep1]->vect[0]);
	fprintf(FP, "#define L_A %.30f\n", TABLE[TABLE[i]->dep1]->vect[1]);
	if(!complex_eq) {
	    fprintf(FP, "#define L_B %.30f\n", TABLE[TABLE[i]->dep1]->vect[2]);
	    fprintf(FP, "#define L_C %.30f\n", TABLE[TABLE[i]->dep1]->vect[3]);
	}
    } else {
	fprintf(FP, "#define L_S %s_value_%d_0\n", TYPE, TABLE[i]->dep1);
	fprintf(FP, "#define L_A %s_value_%d_1\n", TYPE, TABLE[i]->dep1);
	if(!complex_eq) {
	    fprintf(FP, "#define L_B %s_value_%d_2\n", TYPE, TABLE[i]->dep1);
	    fprintf(FP, "#define L_C %s_value_%d_3\n", TYPE, TABLE[i]->dep1);
	}
    }    
}

if(TABLE[i]->dep2 != -1) {
    if(TABLE[TABLE[i]->dep2]->expr->constant) {
	fprintf(FP, "#define R_S %.30f\n", TABLE[TABLE[i]->dep2]->vect[0]);
	fprintf(FP, "#define R_A %.30f\n", TABLE[TABLE[i]->dep2]->vect[1]);
	if(!complex_eq) {
	    fprintf(FP, "#define R_B %.30f\n", TABLE[TABLE[i]->dep2]->vect[2]);
	    fprintf(FP, "#define R_C %.30f\n", TABLE[TABLE[i]->dep2]->vect[3]);
	}
    } else {
	fprintf(FP, "#define R_S %s_value_%d_0\n", TYPE, TABLE[i]->dep2);
	fprintf(FP, "#define R_A %s_value_%d_1\n", TYPE, TABLE[i]->dep2);
	if(!complex_eq) {
	    fprintf(FP, "#define R_B %s_value_%d_2\n", TYPE, TABLE[i]->dep2);
	    fprintf(FP, "#define R_C %s_value_%d_3\n", TYPE, TABLE[i]->dep2);
	}
    }
}

switch (TABLE[i]->rule) {

 case Q_PLUS_Q: fprintf(FP, "Q_PLUS_Q_EQ\n"); break;
 case Q_PLUS_S: fprintf(FP, "Q_PLUS_S_EQ\n"); break;
 case Z_PLUS_Z: fprintf(FP, "Z_PLUS_Z_EQ\n"); break;
 case Z_PLUS_S: fprintf(FP, "Z_PLUS_S_EQ\n"); break;
 case S_PLUS_S: fprintf(FP, "S_PLUS_S_EQ\n"); break;
    
 case Q_MINUS_Q: fprintf(FP, "Q_MINUS_Q_EQ\n"); break;
 case Q_MINUS_S: fprintf(FP, "Q_MINUS_S_EQ\n"); break;
 case S_MINUS_Q: fprintf(FP, "S_MINUS_Q_EQ\n"); break;
 case Z_MINUS_Z: fprintf(FP, "Z_MINUS_Z_EQ\n"); break;
 case Z_MINUS_S: fprintf(FP, "Z_MINUS_S_EQ\n"); break;
 case S_MINUS_Z: fprintf(FP, "S_MINUS_Z_EQ\n"); break;
 case S_MINUS_S: fprintf(FP, "S_MINUS_S_EQ\n"); break;

 case Q_TIMES_Q: fprintf(FP, "Q_TIMES_Q_EQ\n"); break;
 case Q_TIMES_Q_NC: fprintf(FP, "Q_TIMES_Q_NC_EQ\n"); break;
 case Q_TIMES_S: fprintf(FP, "Q_TIMES_S_EQ\n"); break;
 case Z_TIMES_Z: fprintf(FP, "Z_TIMES_Z_EQ\n"); break;
 case Z_TIMES_S: fprintf(FP, "Z_TIMES_S_EQ\n"); break;
 case S_TIMES_S: fprintf(FP, "S_TIMES_S_EQ\n"); break;

 case Q_DIV_Q: fprintf(FP, "Q_DIV_Q_EQ\n"); break;
 case S_DIV_Q: fprintf(FP, "S_DIV_Q_EQ\n"); break;
 case Q_DIV_S: fprintf(FP, "Q_DIV_S_EQ\n"); break;
 case Z_DIV_Z: fprintf(FP, "Z_DIV_Z_EQ\n"); break;
 case S_DIV_Z: fprintf(FP, "S_DIV_Z_EQ\n"); break;
 case Z_DIV_S: fprintf(FP, "Z_DIV_S_EQ\n"); break;
 case S_DIV_S: fprintf(FP, "S_DIV_S_EQ\n"); break;

 case Q_EXP_S_EVEN: fprintf(FP, "Q_EXP_S_EVEN_EQ\n"); break;
 case S_EXP_Q: fprintf(FP, "S_EXP_Q_EQ\n"); break;
 case Z_EXP_S_EVEN: fprintf(FP, "Z_EXP_S_EVEN_EQ\n"); break;
 case S_EXP_Z: fprintf(FP, "S_EXP_Z_EQ\n"); break;
 case S_EXP_S: fprintf(FP, "S_EXP_S_EQ\n"); break;

 case RE_Q: fprintf(FP, "RE_Q_EQ\n"); break;
 case IM_I_Q: fprintf(FP, "IM_I_Q_EQ\n"); break;
 case IM_J_Q: fprintf(FP, "IM_J_Q_EQ\n"); break;
 case IM_K_Q: fprintf(FP, "IM_K_Q_EQ\n"); break;

 case ABS_S: fprintf(FP, "ABS_S_EQ\n"); break;
 case ABS_Q: fprintf(FP, "ABS_Q_EQ\n"); break;
 case ABS_Z: fprintf(FP, "ABS_Z_EQ\n"); break;

 case SIN_Z: fprintf(FP, "SIN_Z_EQ\n"); break;
 case COS_Z: fprintf(FP, "COS_Z_EQ\n"); break;
 case TAN_Z: fprintf(FP, "TAN_Z_EQ\n"); break;

 case SINH_Z: fprintf(FP, "SINH_Z_EQ\n"); break;
 case COSH_Z: fprintf(FP, "COSH_Z_EQ\n"); break;
 case TANH_Z: fprintf(FP, "TANH_Z_EQ\n"); break;

 case LN_Z: fprintf(FP, "LN_Z_EQ\n"); break;
 case LOG_Z: fprintf(FP, "LOG_Z_EQ\n"); break;
}
fprintf(FP, "#undef C_S\n");
fprintf(FP, "#undef C_A\n");
if(!complex_eq) {
    fprintf(FP, "#undef C_B\n");
    fprintf(FP, "#undef C_C\n");
}


fprintf(FP, "#undef L_S\n");
fprintf(FP, "#undef L_A\n");
if(!complex_eq) {
    fprintf(FP, "#undef L_B\n");
    fprintf(FP, "#undef L_C\n");
}

fprintf(FP, "#undef R_S\n");
fprintf(FP, "#undef R_A\n");
if(!complex_eq) {
    fprintf(FP, "#undef R_B\n");
    fprintf(FP, "#undef R_C\n");
}

#undef TABLE
#undef TYPE
