#include "libquat.h"
#include <stdio.h>

extern char * yy_scan_string(const char *);
extern expr_ref tree_top;
extern int yyparse();

void main(int argc, char ** argv) {

    double p[4];

    int f;

    p[0] = 1;
    p[1] = -1;
    p[2] = 0;
    p[3] = 0; 

    if(argc > 1)
	yy_scan_string(argv[1]);
    else 
	yy_scan_string("q*q+[-1.1 -0.2145833 0 0]");

    yyparse();

    eq_table * tab = new eq_table(tree_top, 400, 20);
    
    printf("fuafdskjsfdaljk;dsafljk;safdfljk;afds\n");

    tab->iter(p[0], p[1], p[2], p[3], f);

    printf("iters = %d\n", f);

}
/*

re(q)^2+im(q)^2+i*2*abs(re(q)*im(q))-c

0: 0.00 0.00 0.00 0.00
1: 1.00 -1.00 0.00 0.00
2: 3.00 1.00 0.00 0.00
3: 11.00 5.00 0.00 0.00
4: 147.00 109.00 0.00 0.00

re(q)^2+im(q)^2+i*abs(2*re(q)*im(q))-c'

0: 0.00 0.00 0.00 0.00
1: 1.00 -1.00 0.00 0.00
2: 3.00 -1.00 0.00 0.00
3: 11.00 1.00 0.00 0.00
4: 123.00 5.00 0.00 0.00
*/
