#include "libquat.h"
#include <stdio.h>
#include <dlfcn.h>

void main(int argc, char ** argv) {

    double * p = new double[4];

    eq_table * tab;
    
    if(argc > 2)
	tab = new eq_table(argv[1], argv[2], 4000, 20);
    else {
	fprintf(stderr, "must give function\n");
	exit(-1);
    }

    libquat_iter_func_1 f = tab->compile_1();

    double v[4];
    double start = -0.5;
    double end = -2;
    int num_points = 500;

//    for(int j = 0 ; j < num_points ; j++) {
//	v[0] = (end - start)/num_points*j;

    v[0] = 0.351429;
    v[1] = 0.017143;

    (*f)(v, 1);
    printf("%.5f %.5f\n", v[0], v[1]);
    
    for(int i = 0 ; i < 200000 ; i++) {
	(*f)(v, 0);
	printf("%.5f %.5f\n", v[0], v[1]);
    }
//    }

}
