#ifndef LIBQUAT_H
#define LIBQUAT_H

/* this is a hack.  need to accurately determine language */
#ifdef C
struct eq_table;
typedef int (*libquat_iter_func)(struct eq_table *, double *);
typedef void (*libquat_iter_func_1)(double *, bool init);

struct eq_table * eq_table_new(char *, char *);
int eq_table_iter(struct eq_table *, double, double, double, double, double **);
libquat_iter_func libquat_compile(struct eq_table *);

#else

typedef int (*libquat_iter_func)(class eq_table *, double *);
typedef void (*libquat_iter_func_1)(double *, bool init);

extern "C" {
    extern struct eq_table * eq_table_new(char *, char *);
    int eq_table_iter(struct eq_table *, double*);
}
#include <libquat/quatdefs.h>
#include <libquat/quat.h>
#include <libquat/eq_table.h>
#include <libquat/expr_parser.h>
#include <libquat/expr_tree.h>
#endif



#endif
